Subject: RE: [Asrg] (Position): Successful anti-spam techniques must avoid software patents

From: Paul Judge <[email-masked]>
Date: Tue, 27 May 2003 19:53:11 -0400

We've had previous discussions about IPR policy. Please see Vern Paxson's
message on the topic:
https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg01929.html
. If anyone feels the need to voice additional positions on this topic,
please feel free to address them to me off-list.

> -----Original Message-----
> From: David Wheeler [mailto:[email-masked]] 
> Sent: Tuesday, May 27, 2003 6:11 PM
> To: [email-masked]
> Subject: [Asrg] (Position): Successful anti-spam techniques 
> must avoid software patents
> 
> 
> Hi - I didn't see a clear position on the ASRG main page
> (http://www.irtf.org/charters/asrg.html) on software patents.
> I believe any useful ASRG result MUST avoid software patents 
> and/or identify reasons why any patent claims are, almost 
> certainly, invalid. I believe the ASRG work should be based 
> on this position.
> 
> At the very least, any ASRG work should avoid any
> software patent landmines if possible, include a patent 
> search to identify them, and warn potential developers of the 
> results of the search. Any organizations need to be REQUIRED 
> to explicitly reveal any patents that might apply (including 
> those that are pending), or everyone will risk being 
> exploited (I believe RAMBUS is an example of this).
> 
> Rationale: For any anti-spam technique to be widely 
> effective, it needs to be widely deployed.  Software patents 
> will significantly constrain such deployment.  In particular, 
> most email is handled at least part of the time by open 
> source software, and open source software cannot implement 
> patented concepts in the countries where the patents are valid.
> 
> For example, the mail server survey described here:
>   http://cr.yp.to/surveys/smtpsoftware6.txt
> found that at the time the survey was made,
> sendmail was still the most common SMTP server (42%),
> followed by Windows Microsoft Exchange (18%),
> Unix qmail (17%), Windows Ipswitch IMail (6%),
> Unix smap (2%), UNIX Postfix (formerly VMailer, 2%)
> and Unix Exim (1%).  Sendmail, qmail, smap, postfix, and exim 
> could not practically implement a patented technique, so 64% 
> of deployed systems couldn't be upgraded to a newer version 
> and implement the technique (if the numbers are the same). 
> And that presumes that the proprietary systems would all jump 
> to implement a patented technique -- which is rather 
> unlikely. The key here isn't the exact numbers, the issue is 
> that if you allow patented techniques, you may end up with 
> undeployable ideas.
> 
> There are also many open source mail clients, including the
> one in Mozilla (repackaged as Netscape Mail), and open source 
> mailing list software (including the one used here!). In 
> short, email has a significant presence of open source 
> software, and it would be extremely unwise for this group to 
> set standards that cannot be met by open source software and 
> would require licensing fees to be paid by some
> 
> So-called "Reasonable and Non-Discriminatory" (RAND) licenses 
> aren't enough in this case.  In all cases, RAND licenses 
> discriminate against those who don't own the patent.  
> Besides, to be used in open source software it has to be 
> completely royalty-free, at least.  Even then the popular 
> license used by open source software (the GPL) will find this 
> unacceptable unless the idea can be used for any purpose (not 
> just to implement the standard).
> 
> I believe this concern is quite consistent with the ASRG charter:
>   "ASRG will not pursue research into legal issues of spam, other
>   than the extent to which these issues affect, support, or
>   constrain the technology."
> Software patents constrain the technology, so identifying and 
> countering any such legal problems is critical for this group.
> 
> It's true that there are patent claims for challenge-response 
> systems, but that primarily shows how poorly the patent 
> offices screen patent applications.  Mailblocks of Los Altos, 
> California, has been suing people based on patents it owns, 
> 6,199,102 (filed in 1997) and 6,112,227 (filed in 1998) 
> However, it's clear that there's extensive prior art; for 
> example, Cynthia Dwork and Moni Naor of IBM described in 1992 
> a challenge-response system in which the sender would be 
> asked to process a particular solution before the receiver 
> would accept the email 
> (http://research.microsoft.com/research/sv/PennyBlack/junk1.pd
f).
Thus, it's reasonable for the ASRG to work on challenge-response, since
there's good reason to believe that this nonsense patent will be overturned,
and indeed the ASRG could work to collect the data on why it should be
overturned.

If the ASRG wants anti-spam technology to be widely deployed, it needs to
make sure that its solutions don't have any serious legal impediments.  And
that includes software patents.

Thank you for listening.

--- David A. Wheeler
(Speaking for myself)

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg
_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: David Wheeler <[email-masked]>
Date: Wed, 28 May 2003 10:13:17 -0400

> please feel free to address them to me off-list.

Thanks for pointing me to the previous email.
However, that email simply points out that there's no policy
and that there appears to be a need for one... I don't see a decision
being made. In particular, it suggests that:
"for any technology discussed within RGs that has
related IPR, that the presence of the possible IPR be disclosed."

While I believe that's too weak, required disclosure is at least
a good start for informed discussion, and that at least is something
that the working group could quickly agree on as a starting point.

Can the working group at least agree to require disclosure the presence of
any related IPR (including _pending_ patents)?  This is the sort of thing
that has to be agreed on NOW, during discussions, instead of
waiting for "later" (when it will be too late).  Otherwise, a few
enterprising individuals will submit patent requests on obvious ideas
the day before they post, work hard to make sure their
idea is implemented, and then surprise all with a patent
(the U.S. PTO, for example, is notoriously bad at identifying obvious ideas).
The result: anti-spam approaches will fail.

--- David A. Wheeler

---

From: mathew <[email-masked]>
Date: Wed, 28 May 2003 16:27:01 +0100 (BST)

At the risk of sounding overly cynical, I believe that any anti-spam
approach that's good enough to get general acceptance will turn out
to be covered by one or more software patents. The mere fact that
something is obvious--even *blatantly* obvious--is no barrier to
getting a patent; consider the infamous XOR cursor patent, the "one
click" shopping patent, or AT&T's ominous disclosure that they have
IP interests in the "postage" scheme I described off the top of my
head a couple of days ago with no prior knowledge of their document.
Prior art known to everyone in the industry is no barrier to patents
either; consider the patent on frames, or the British Telecom patent
on hyperlinks.

mathew
-- 
Journal and other stuff at <URL:http://www.pobox.com/~meta/>